<?php

namespace Drupal\service;

/**
 * Provides a trait for the admin context service.
 */
trait AdminContextTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceAdminContext = 'router.admin_context';

  /**
   * Sets the admin context.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addAdminContext($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the admin context.
   *
   * @return \Drupal\Core\Routing\AdminContext
   *   The admin context.
   */
  protected function adminContext() {
    return $this->getKnownService();
  }

}
