<?php

namespace Drupal\service;

/**
 * Provides a trait for the path alias manager service.
 */
trait AliasManagerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceAliasManager = 'path_alias.manager';

  /**
   * Sets the path alias manager.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addAliasManager($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the path alias manager.
   *
   * @return \Drupal\path_alias\AliasManagerInterface
   *   The path alias manager.
   */
  protected function aliasManager() {
    return $this->getKnownService();
  }

}
