<?php

namespace Drupal\service;

/**
 * Provides a trait for the block manager service.
 */
trait BlockManagerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceBlockManager = 'plugin.manager.block';

  /**
   * Sets the block manager.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addBlockManager($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the block manager.
   *
   * @return \Drupal\Core\Block\BlockManagerInterface
   *   The block manager.
   */
  protected function blockManager() {
    return $this->getKnownService();
  }

}
