<?php

namespace Drupal\service;

/**
 * Provides a trait for the block content UUID lookup service.
 */
trait BlockUuidTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceBlockUuid = 'block_content.uuid_lookup';

  /**
   * Sets the block content UUID lookup.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addBlockUuid($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the block content UUID lookup.
   *
   * @return \Drupal\block_content\BlockContentUuidLookup
   *   The block content UUID lookup.
   */
  protected function blockUuid() {
    return $this->getKnownService();
  }

}
