<?php

namespace Drupal\service;

/**
 * Provides a trait for the cache tags invalidator service.
 */
trait CacheTagsInvalidatorTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceCacheTagsInvalidator = 'cache_tags.invalidator';

  /**
   * Sets the cache tags invalidator.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addCacheTagsInvalidator($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the cache tags invalidator.
   *
   * @return \Drupal\Core\Cache\CacheTagsInvalidatorInterface
   *   The cache tags invalidator.
   */
  protected function cacheTagsInvalidator() {
    return $this->getKnownService();
  }

}
