<?php

namespace Drupal\service;

/**
 * Provides a trait for the config storage service.
 */
trait CachedStorageTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceCachedStorage = 'config.storage';

  /**
   * Sets the config storage.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addCachedStorage($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the config storage.
   *
   * @return \Drupal\Core\Config\StorageInterface|\Drupal\Core\Config\StorageCacheInterface
   *   The config storage.
   */
  protected function configStorage() {
    return $this->getKnownService();
  }

}
