<?php

namespace Drupal\service;

/**
 * Provides a trait for the configuration factory service.
 */
trait ConfigFactoryTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceConfigFactory = 'config.factory';

  /**
   * Sets the configuration factory.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addConfigFactory($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the configuration factory.
   *
   * @return \Drupal\Core\Config\ConfigFactoryInterface
   *   The configuration factory.
   *
   * @see \Drupal::configFactory()
   */
  protected function configFactory() {
    return $this->getKnownService();
  }

}
