<?php

namespace Drupal\service;

/**
 * Provides a trait for the content translation manager service.
 */
trait ContentTranslationManagerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceContentTranslationManager = 'content_translation.manager';

  /**
   * Sets the content translation manager.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addContentTranslationManager($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the content translation manager.
   *
   * @return \Drupal\content_translation\ContentTranslationManagerInterface
   *   The content translation manager.
   */
  protected function contentTranslationManager() {
    return $this->getKnownService();
  }

}
