<?php

namespace Drupal\service;

/**
 * Provides a trait for the controller resolver service.
 */
trait ControllerResolverTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceControllerResolver = 'controller_resolver';

  /**
   * Sets the controller resolver.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addControllerResolver($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the controller resolver.
   *
   * @return \Drupal\Core\Controller\ControllerResolverInterface
   *   The controller resolver.
   */
  protected function controllerResolver() {
    return $this->getKnownService();
  }

}
