<?php

namespace Drupal\service;

/**
 * Provides a trait for the country manager service.
 */
trait CountryManagerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceCountryManager = 'country_manager';

  /**
   * Sets the country manager.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addCountryManager($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the country manager.
   *
   * @return \Drupal\Core\Locale\CountryManagerInterface
   *   The country manager.
   */
  protected function countryManager() {
    return $this->getKnownService();
  }

}
