<?php

namespace Drupal\service;

/**
 * Provides a trait for the current path service.
 */
trait CurrentPathTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceCurrentPath = 'path.current';

  /**
   * Sets the current path.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addCurrentPath($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the current path.
   *
   * @return \Drupal\Core\Path\CurrentPathStack
   *   The current path.
   */
  protected function currentPath() {
    return $this->getKnownService();
  }

}
