<?php

namespace Drupal\service;

/**
 * Provides a trait for the current active user service.
 */
trait CurrentUserTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceCurrentUser = 'current_user';

  /**
   * Sets the current active user.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addCurrentUser($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the current active user.
   *
   * @return \Drupal\Core\Session\AccountProxyInterface
   *   The current active user.
   *
   * @see \Drupal::currentUser()
   */
  protected function currentUser() {
    return $this->getKnownService();
  }

}
