<?php

namespace Drupal\service;

/**
 * Provides a trait for the date formatter service.
 */
trait DateFormatterTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceDateFormatter = 'date.formatter';

  /**
   * Sets the date formatter.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addDateFormatter($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the date formatter.
   *
   * @return \Drupal\Core\Datetime\DateFormatterInterface
   *   The date formatter.
   */
  protected function dateFormatter() {
    return $this->getKnownService();
  }

}
