<?php

namespace Drupal\service;

/**
 * Provides a trait for the E-mail validator service.
 */
trait EmailValidatorTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceEmailValidator = 'email.validator';

  /**
   * Sets the E-mail validator.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addEmailValidator($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the E-mail validator.
   *
   * @return \Drupal\Component\Utility\EmailValidatorInterface
   *   The E-mail validator.
   */
  protected function emailValidator() {
    return $this->getKnownService();
  }

}
