<?php

namespace Drupal\service;

/**
 * Provides a trait for the entity definition update manager service.
 */
trait EntityDefinitionUpdateManagerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceEntityDefinitionUpdateManager = 'entity.definition_update_manager';

  /**
   * Sets the entity definition update manager.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addEntityDefinitionUpdateManager($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the entity definition update manager.
   *
   * @return \Drupal\Core\Entity\EntityDefinitionUpdateManagerInterface
   *   The entity definition update manager.
   *
   * @see \Drupal::entityDefinitionUpdateManager()
   */
  protected function entityDefinitionUpdateManager() {
    return $this->getKnownService();
  }

}
