<?php

namespace Drupal\service;

/**
 * Provides a trait for the entity display repository service.
 */
trait EntityDisplayRepositoryTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceEntityDisplayRepository = 'entity_display.repository';

  /**
   * Sets the entity display repository.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addEntityDisplayRepository($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the entity display repository.
   *
   * @return \Drupal\Core\Entity\EntityDisplayRepositoryInterface
   *   The entity display repository.
   */
  protected function entityDisplayRepository() {
    return $this->getKnownService();
  }

}
