<?php

namespace Drupal\service;

/**
 * Provides a trait for the entity field manager service.
 */
trait EntityFieldManagerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceEntityFieldManager = 'entity_field.manager';

  /**
   * Sets the entity field manager.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addEntityFieldManager($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the entity field manager.
   *
   * @return \Drupal\Core\Entity\EntityFieldManagerInterface
   *   The entity field manager.
   */
  protected function entityFieldManager() {
    return $this->getKnownService();
  }

}
