<?php

namespace Drupal\service;

/**
 * Provides a trait for the entity form builder service.
 */
trait EntityFormBuilderTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceEntityFormBuilder = 'entity.form_builder';

  /**
   * Sets the entity form builder.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addEntityFormBuilder($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the entity form builder.
   *
   * @return \Drupal\Core\Entity\EntityFormBuilderInterface
   *   The entity form builder.
   */
  protected function entityFormBuilder() {
    return $this->getKnownService();
  }

}
