<?php

namespace Drupal\service;

/**
 * Provides a trait for the entity repository service.
 */
trait EntityRepositoryTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceEntityRepository = 'entity.repository';

  /**
   * Sets the entity repository.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addEntityRepository($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the entity repository.
   *
   * @return \Drupal\Core\Entity\EntityRepositoryInterface
   *   The entity repository.
   */
  protected function entityRepository() {
    return $this->getKnownService();
  }

}
