<?php

namespace Drupal\service;

/**
 * Provides a trait for the entity type bundle info service.
 */
trait EntityTypeBundleInfoTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceEntityTypeBundleInfo = 'entity_type.bundle.info';

  /**
   * Sets the entity type bundle info.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addEntityTypeBundleInfo($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the entity type bundle info.
   *
   * @return \Drupal\Core\Entity\EntityTypeBundleInfoInterface
   *   The entity type bundle info.
   */
  protected function entityTypeBundleInfo() {
    return $this->getKnownService();
  }

}
