<?php

namespace Drupal\service;

/**
 * Provides a trait for the entity type listener service.
 */
trait EntityTypeListenerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceEntityTypeListener = 'entity_type.listener';

  /**
   * Sets the entity type listener.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addEntityTypeListener($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the entity type listener.
   *
   * @return \Drupal\Core\Entity\EntityTypeListenerInterface
   *   The entity type listener.
   */
  protected function entityTypeListener() {
    return $this->getKnownService();
  }

}
