<?php

namespace Drupal\service;

/**
 * Provides a trait for the entity type manager service.
 */
trait EntityTypeManagerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceEntityTypeManager = 'entity_type.manager';

  /**
   * Sets the entity type manager.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addEntityTypeManager($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the entity type manager.
   *
   * @return \Drupal\Core\Entity\EntityTypeManagerInterface
   *   The entity type manager.
   *
   * @see \Drupal::entityTypeManager()
   */
  protected function entityTypeManager() {
    return $this->getKnownService();
  }

}
