<?php

namespace Drupal\service;

/**
 * Provides a trait for the entity type repository service.
 */
trait EntityTypeRepositoryTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceEntityTypeRepository = 'entity_type.repository';

  /**
   * Sets the entity type repository.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addEntityTypeRepository($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the entity type repository.
   *
   * @return \Drupal\Core\Entity\EntityTypeRepositoryInterface
   *   The entity type repository.
   */
  protected function entityTypeRepository() {
    return $this->getKnownService();
  }

}
