<?php

namespace Drupal\service;

/**
 * Provides a trait for the event dispatcher service.
 */
trait EventDispatcherTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceEventDispatcher = 'event_dispatcher';

  /**
   * Sets the event dispatcher.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addEventDispatcher($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the event dispatcher.
   *
   * @return \Symfony\Component\EventDispatcher\EventDispatcherInterface
   *   The event dispatcher.
   */
  protected function eventDispatcher() {
    return $this->getKnownService();
  }

}
