<?php

namespace Drupal\service;

/**
 * Provides a trait for the views executable factory service.
 */
trait ExecutableFactoryTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceExecutableFactory = 'views.executable';

  /**
   * Sets the views executable factory.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addExecutableFactory($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the views executable factory.
   *
   * @return \Drupal\views\ViewExecutableFactory
   *   The views executable factory.
   */
  protected function executableFactory() {
    return $this->getKnownService();
  }

}
