<?php

namespace Drupal\service;

/**
 * Provides a trait for the extension path resolver service.
 */
trait ExtensionPathResolverTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceExtensionPathResolver = 'extension.path.resolver';

  /**
   * Sets the extension path resolver.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addExtensionPathResolver($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the extension path resolver.
   *
   * @return \Drupal\Core\Extension\ExtensionPathResolver
   *   The extension path resolver.
   */
  protected function extensionPathResolver() {
    return $this->getKnownService();
  }

}
