<?php

namespace Drupal\service;

/**
 * Provides a trait for the field storage definition listener service.
 */
trait FieldStorageDefinitionListenerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceFieldStorageDefinitionListener = 'field_storage_definition.listener';

  /**
   * Sets the field storage definition listener.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addFieldStorageDefinitionListener($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the field storage definition listener.
   *
   * @return \Drupal\Core\Field\FieldStorageDefinitionListenerInterface
   *   The field storage definition listener.
   */
  protected function fieldStorageDefinitionListener() {
    return $this->getKnownService();
  }

}
