<?php

namespace Drupal\service;

/**
 * Provides a trait for the field type plugin manager service.
 */
trait FieldTypePluginManagerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceFieldTypePluginManager = 'plugin.manager.field.field_type';

  /**
   * Sets the field type plugin manager.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addFieldTypePluginManager($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the field type plugin manager.
   *
   * @return \Drupal\Core\Field\FieldTypePluginManagerInterface
   *   The field type plugin manager.
   */
  protected function fieldTypePluginManager() {
    return $this->getKnownService();
  }

}
