<?php

namespace Drupal\service;

/**
 * Provides a trait for the file repository service.
 */
trait FileRepositoryTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceFileRepository = 'file.repository';

  /**
   * Sets the file repository.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addFileRepository($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the file repository.
   *
   * @return \Drupal\file\FileRepositoryInterface
   *   The file repository.
   */
  protected function fileRepository() {
    return $this->getKnownService();
  }

}
