<?php

namespace Drupal\service;

/**
 * Provides a trait for the file system service.
 */
trait FileSystemTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceFileSystem = 'file_system';

  /**
   * Sets the file system.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addFileSystem($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the file system.
   *
   * @return \Drupal\Core\File\FileSystemInterface
   *   The file system.
   */
  protected function fileSystem() {
    return $this->getKnownService();
  }

}
