<?php

namespace Drupal\service;

/**
 * Provides a trait for the file URL generator service.
 */
trait FileUrlGeneratorTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceFileUrlGenerator = 'file_url_generator';

  /**
   * Sets the file URL generator.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addFileUrlGenerator($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the file URL generator.
   *
   * @return \Drupal\Core\File\FileUrlGeneratorInterface
   *   The file URL generator.
   */
  protected function fileUrlGenerator() {
    return $this->getKnownService();
  }

}
