<?php

namespace Drupal\service;

/**
 * Provides a trait for the form builder service.
 */
trait FormBuilderTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceFormBuilder = 'form_builder';

  /**
   * Sets the form builder.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addFormBuilder($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the form builder.
   *
   * @return \Drupal\Core\Form\FormBuilderInterface
   *   The form builder.
   *
   * @see \Drupal::formBuilder()
   */
  protected function formBuilder() {
    return $this->getKnownService();
  }

}
