<?php

namespace Drupal\service;

/**
 * Provides a trait for the HTTP client service.
 */
trait HttpClientTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceHttpClient = 'http_client';

  /**
   * Sets the HTTP client.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addHttpClient($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the HTTP client.
   *
   * @return \GuzzleHttp\ClientInterface
   *   The HTTP client.
   *
   * @see \Drupal::httpClient()
   */
  protected function httpClient() {
    return $this->getKnownService();
  }

}
