<?php

namespace Drupal\service;

/**
 * Provides a trait for the image factory service.
 */
trait ImageFactoryTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceImageFactory = 'image.factory';

  /**
   * Sets the image factory.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addImageFactory($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the image factory.
   *
   * @return \Drupal\Core\Image\ImageFactory
   *   The image factory.
   */
  protected function imageFactory() {
    return $this->getKnownService();
  }

}
