<?php

namespace Drupal\service;

/**
 * Provides a trait for the inline block usage tracking service.
 */
trait InlineBlockUsageTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceInlineBlockUsage = 'inline_block.usage';

  /**
   * Sets the inline block usage tracking.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addInlineBlockUsage($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the inline block usage tracking.
   *
   * @return \Drupal\layout_builder\InlineBlockUsageInterface
   *   The inline block usage tracking.
   */
  protected function inlineBlockUsage() {
    return $this->getKnownService();
  }

}
