<?php

namespace Drupal\service;

/**
 * Provides a trait for the views join plugin manager service.
 */
trait JoinManagerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceJoinManager = 'plugin.manager.views.join';

  /**
   * Sets the views join plugin manager.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addJoinManager($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the views join plugin manager.
   *
   * @return \Drupal\views\Plugin\ViewsHandlerManager
   *   The views join plugin manager.
   */
  protected function joinManager() {
    return $this->getKnownService();
  }

}
