<?php

namespace Drupal\service;

/**
 * Provides a trait for the JSON serialization service.
 */
trait JsonSerializationTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceJsonSerialization = 'serialization.json';

  /**
   * Sets the JSON serialization.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addJsonSerialization($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the JSON serialization.
   *
   * @return \Drupal\Component\Serialization\SerializationInterface
   *   The JSON serialization.
   */
  protected function jsonSerialization() {
    return $this->getKnownService();
  }

}
