<?php

namespace Drupal\service;

/**
 * Provides a trait for the Drupal kernel service.
 */
trait KernelTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceKernel = 'kernel';

  /**
   * Sets the Drupal kernel.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addKernel($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the Drupal kernel.
   *
   * @return \Drupal\Core\DrupalKernelInterface
   *   The Drupal kernel.
   */
  protected function kernel() {
    return $this->getKnownService();
  }

}
