<?php

namespace Drupal\service;

/**
 * Provides a trait for the key/value store factory service.
 */
trait KeyValueTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceKeyValue = 'keyvalue';

  /**
   * Sets the key/value store factory.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addKeyValue($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the key/value storage collection.
   *
   * @param string $collection
   *   The name of the collection holding key and value pairs.
   *
   * @return \Drupal\Core\DrupalKernelInterface
   *   The key/value storage collection.
   *
   * @see \Drupal::keyValue()
   */
  protected function keyValue(string $collection) {
    return $this->getKnownService()->get($collection);
  }

}
