<?php

namespace Drupal\service;

/**
 * Provides a trait for the language manager service.
 */
trait LanguageManagerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceLanguageManager = 'language_manager';

  /**
   * Sets the language manager.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addLanguageManager($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the language manager.
   *
   * @return \Drupal\Core\Language\LanguageManagerInterface
   *   The language manager.
   *
   * @see \Drupal::languageManager()
   */
  protected function languageManager() {
    return $this->getKnownService();
  }

}
