<?php

namespace Drupal\service;

/**
 * Provides a trait for the mail manager service.
 */
trait MailManagerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceMailManager = 'plugin.manager.mail';

  /**
   * Sets the mail manager.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addMailManager($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the mail manager.
   *
   * @return \Drupal\Core\Mail\MailManagerInterface
   *   The mail manager.
   */
  protected function mailManager() {
    return $this->getKnownService();
  }

}
