<?php

namespace Drupal\service;

/**
 * Provides a trait for the memory cache service.
 */
trait MemoryCacheTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceMemoryCache = 'entity.memory_cache';

  /**
   * Sets the memory cache.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addMemoryCache($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the memory cache.
   *
   * @return \Drupal\Core\Cache\MemoryCache\MemoryCacheInterface
   *   The memory cache.
   */
  protected function memoryCache() {
    return $this->getKnownService();
  }

}
