<?php

namespace Drupal\service;

/**
 * Provides a trait for the menu link tree service.
 */
trait MenuTreeTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceMenuTree = 'menu.link_tree';

  /**
   * Sets the menu link tree.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addMenuTree($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the menu link tree.
   *
   * @return \Drupal\Core\Menu\MenuLinkTreeInterface
   *   The menu link tree.
   *
   * @see \Drupal::menuTree()
   */
  protected function menuTree() {
    return $this->getKnownService();
  }

}
