<?php

namespace Drupal\service;

/**
 * Provides a trait for the messenger service.
 *
 * @see \Drupal\Core\Messenger\MessengerTrait
 */
trait MessengerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceMessenger = 'messenger';

  /**
   * Sets the messenger.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addMessenger($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the messenger.
   *
   * @return \Drupal\Core\Messenger\MessengerInterface
   *   The messenger.
   *
   * @see \Drupal::messenger()
   */
  public function messenger() {
    return $this->getKnownService();
  }

}
