<?php

namespace Drupal\service;

/**
 * Provides a trait for the migration plugin manager service.
 */
trait MigrationManagerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceMigrationManager = 'plugin.manager.migration';

  /**
   * Sets the migration plugin manager.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addMigrationManager($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the migration plugin manager.
   *
   * @return \Drupal\migrate\Plugin\MigrationPluginManagerInterface
   *   The migration plugin manager.
   */
  protected function migrationManager() {
    return $this->getKnownService();
  }

}
