<?php

namespace Drupal\service;

/**
 * Provides a trait for the mobile detect service.
 *
 * @see https://www.drupal.org/project/mobile_detect
 */
trait MobileDetectTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceMobileDetect = 'mobile_detect';

  /**
   * Sets the mobile detect.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addMobileDetect($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the mobile detect.
   *
   * @return \Detection\MobileDetect
   *   The mobile detect.
   */
  protected function mobileDetect() {
    return $this->getKnownService();
  }

}
