<?php

namespace Drupal\service;

/**
 * Provides a trait for the module handler service.
 */
trait ModuleHandlerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceModuleHandler = 'module_handler';

  /**
   * Sets the module handler.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addModuleHandler($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the module handler.
   *
   * @return \Drupal\Core\Extension\ModuleHandlerInterface
   *   The module handler.
   *
   * @see \Drupal::moduleHandler()
   */
  protected function moduleHandler() {
    return $this->getKnownService();
  }

}
