<?php

namespace Drupal\service;

/**
 * Provides a trait for the module installer service.
 */
trait ModuleInstallerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceModuleInstaller = 'module_installer';

  /**
   * Sets the module installer.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addModuleInstaller($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the module installer.
   *
   * @return \Drupal\Core\Extension\ModuleInstallerInterface
   *   The module installer.
   */
  protected function moduleInstaller() {
    return $this->getKnownService();
  }

}
