<?php

namespace Drupal\service;

/**
 * Provides a trait for the module extension list service.
 */
trait ModuleListTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceModuleList = 'extension.list.module';

  /**
   * Sets the module extension list.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addModuleList($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the module extension list.
   *
   * @return \Drupal\Core\Extension\ModuleExtensionList
   *   The module extension list.
   */
  protected function moduleList() {
    return $this->getKnownService();
  }

}
