<?php

namespace Drupal\service;

/**
 * Provides a trait for the path matcher service.
 */
trait PathMatcherTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $servicePathMatcher = 'path.matcher';

  /**
   * Sets the path matcher.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addPathMatcher($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the path matcher.
   *
   * @return \Drupal\Core\Path\PathMatcherInterface
   *   The path matcher.
   */
  protected function pathMatcher() {
    return $this->getKnownService();
  }

}
