<?php

namespace Drupal\service;

/**
 * Provides a trait for the path validator service.
 */
trait PathValidatorTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $servicePathValidator = 'path.validator';

  /**
   * Sets the path validator.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addPathValidator($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the path validator.
   *
   * @return \Drupal\Core\Path\PathValidatorInterface
   *   The path validator.
   *
   * @see \Drupal::pathValidator()
   */
  protected function pathValidator() {
    return $this->getKnownService();
  }

}
