<?php

namespace Drupal\service;

/**
 * Provides a trait for the permission handler service.
 */
trait PermissionHandlerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $servicePermissionHandler = 'user.permissions';

  /**
   * Sets the permission handler.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addPermissionHandler($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the permission handler.
   *
   * @return \Drupal\user\PermissionHandlerInterface
   *   The permission handler.
   */
  protected function permissionHandler() {
    return $this->getKnownService();
  }

}
