<?php

namespace Drupal\service;

/**
 * Provides a trait for the profile extension list service.
 */
trait ProfileListTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceProfileList = 'extension.list.profile';

  /**
   * Sets the profile extension list.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addProfileList($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the profile extension list.
   *
   * @return \Drupal\Core\Extension\ThemeExtensionList
   *   The profile extension list.
   */
  protected function profileList() {
    return $this->getKnownService();
  }

}
