<?php

namespace Drupal\service;

/**
 * Provides a trait for the query factory service.
 */
trait QueryFactoryTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceQueryFactory = 'entity.query.sql';

  /**
   * Sets the query factory.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addQueryFactory($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the query factory.
   *
   * @return \Drupal\Core\Entity\Query\QueryFactoryInterface
   *   The query factory.
   */
  protected function queryFactory() {
    return $this->getKnownService();
  }

}
