<?php

namespace Drupal\service;

/**
 * Provides a trait for the queue factory service.
 */
trait QueueFactoryTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceQueueFactory = 'queue';

  /**
   * Sets the queue factory.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addQueueFactory($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the queue factory.
   *
   * @return \Drupal\Core\Queue\QueueFactory
   *   The queue factory.
   *
   * @see \Drupal::queue()
   */
  protected function queueFactory() {
    return $this->getKnownService();
  }

}
