<?php

namespace Drupal\service;

/**
 * Provides a trait for the renderer service.
 */
trait RendererTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceRenderer = 'renderer';

  /**
   * Sets the renderer.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addRenderer($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the renderer.
   *
   * @return \Drupal\Core\Render\RendererInterface
   *   The renderer.
   */
  protected function renderer() {
    return $this->getKnownService();
  }

}
