<?php

namespace Drupal\service;

/**
 * Provides a trait for the request stack service.
 */
trait RequestStackTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceRequestStack = 'request_stack';

  /**
   * Sets the request stack.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addRequestStack($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the request stack.
   *
   * @return \Symfony\Component\HttpFoundation\RequestStack
   *   The request stack.
   *
   * @see \Drupal::requestStack()
   */
  protected function requestStack() {
    return $this->getKnownService();
  }

}
