<?php

namespace Drupal\service;

/**
 * Provides a trait for the router builder service.
 */
trait RouteBuilderTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceRouteBuilder = 'router.builder';

  /**
   * Sets the router builder.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addRouteBuilder($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the router builder.
   *
   * @return \Drupal\Core\Routing\RouteBuilderInterface
   *   The router builder.
   */
  protected function routerBuilder() {
    return $this->getKnownService();
  }

}
