<?php

namespace Drupal\service;

/**
 * Provides a trait for the current route match service.
 */
trait RouteMatchTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceRouteMatch = 'current_route_match';

  /**
   * Sets the current route match.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addRouteMatch($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the current route match.
   *
   * @return \Drupal\Core\Routing\RouteMatchInterface
   *   The current route match.
   *
   * @see \Drupal::routeMatch()
   */
  protected function routeMatch() {
    return $this->getKnownService();
  }

}
