<?php

namespace Drupal\service;

/**
 * Provides a trait for the last installed schema repository service.
 */
trait SchemaRepositoryTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceSchemaRepository = 'entity.last_installed_schema.repository';

  /**
   * Sets the last installed schema repository.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addSchemaRepository($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the last installed schema repository.
   *
   * @return \Drupal\Core\Entity\EntityLastInstalledSchemaRepositoryInterface
   *   The last installed schema repository.
   */
  protected function schemaRepository() {
    return $this->getKnownService();
  }

}
