<?php

namespace Drupal\service;

/**
 * Provides a trait for the state service.
 */
trait StateTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceState = 'state';

  /**
   * Sets the state.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addState($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the state.
   *
   * @return \Drupal\Core\State\StateInterface
   *   The state.
   *
   * @see \Drupal::state()
   */
  protected function state() {
    return $this->getKnownService();
  }

}
