<?php

namespace Drupal\service;

/**
 * Provides a trait for the tempstore factory service.
 */
trait TempStoreTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceTempStore = 'tempstore.private';

  /**
   * Sets the tempstore factory.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addTempStore($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the tempstore factory.
   *
   * @return \Drupal\Core\TempStore\PrivateTempStoreFactory
   *   The tempstore factory.
   */
  protected function tempStore() {
    return $this->getKnownService();
  }

}
