<?php

namespace Drupal\service;

/**
 * Provides a trait for the theme handler service.
 */
trait ThemeHandlerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceThemeHandler = 'theme_handler';

  /**
   * Sets the theme handler.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addThemeHandler($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the theme handler.
   *
   * @return \Drupal\Core\Extension\ThemeHandlerInterface
   *   The theme handler.
   */
  protected function themeHandler() {
    return $this->getKnownService();
  }

}
