<?php

namespace Drupal\service;

/**
 * Provides a trait for the theme installer service.
 */
trait ThemeInstallerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceThemeInstaller = 'theme_installer';

  /**
   * Sets the theme installer.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addThemeInstaller($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the theme installer.
   *
   * @return \Drupal\Core\Extension\ThemeInstallerInterface
   *   The theme installer.
   */
  protected function themeInstaller() {
    return $this->getKnownService();
  }

}
