<?php

namespace Drupal\service;

/**
 * Provides a trait for the theme extension list service.
 */
trait ThemeListTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceThemeList = 'extension.list.theme';

  /**
   * Sets the theme extension list.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addThemeList($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the theme extension list.
   *
   * @return \Drupal\Core\Extension\ThemeExtensionList
   *   The theme extension list.
   */
  protected function themeList() {
    return $this->getKnownService();
  }

}
