<?php

namespace Drupal\service;

/**
 * Provides a trait for the theme manager service.
 */
trait ThemeManagerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceThemeManager = 'theme.manager';

  /**
   * Sets the theme manager.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addThemeManager($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the theme manager.
   *
   * @return \Drupal\Core\Theme\ThemeManagerInterface
   *   The theme manager.
   *
   * @see \Drupal::theme()
   */
  protected function themeManager() {
    return $this->getKnownService();
  }

}
