<?php

namespace Drupal\service;

/**
 * Provides a trait for the time service.
 */
trait TimeTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceTime = 'datetime.time';

  /**
   * Sets the time.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addTime($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the time.
   *
   * @return \Drupal\Component\Datetime\TimeInterface
   *   The time.
   *
   * @see \Drupal::time()
   */
  protected function time() {
    return $this->getKnownService();
  }

}
