<?php

namespace Drupal\service;

/**
 * Provides a trait for the title resolver service.
 */
trait TitleResolverTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceTitleResolver = 'title_resolver';

  /**
   * Sets the title resolver.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addTitleResolver($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the title resolver.
   *
   * @return \Drupal\Core\Controller\TitleResolverInterface
   *   The title resolver.
   */
  protected function titleResolver() {
    return $this->getKnownService();
  }

}
