<?php

namespace Drupal\service;

/**
 * Provides a trait for the token service.
 */
trait TokenTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceToken = 'token';

  /**
   * Sets the token.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addToken($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the token.
   *
   * @return \Drupal\Core\Utility\Token
   *   The token.
   *
   * @see \Drupal::token()
   */
  protected function token() {
    return $this->getKnownService();
  }

}
