<?php

namespace Drupal\service;

/**
 * Provides a trait for the transliteration service.
 */
trait TransliterationTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceTransliteration = 'transliteration';

  /**
   * Sets the transliteration.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addTransliteration($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the transliteration.
   *
   * @return \Drupal\Core\Transliteration\PhpTransliteration
   *   The transliteration.
   *
   * @see \Drupal::transliteration()
   */
  protected function transliteration() {
    return $this->getKnownService();
  }

}
