<?php

namespace Drupal\service;

/**
 * Provides a trait for the twig service.
 */
trait TwigTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceTwig = 'twig';

  /**
   * Sets the twig.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addTwig($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the twig.
   *
   * @return \Drupal\Core\Template\TwigEnvironment
   *   The twig.
   */
  protected function twig() {
    return $this->getKnownService();
  }

}
