<?php

namespace Drupal\service;

/**
 * Provides a trait for the typed configuration manager service.
 */
trait TypedConfigManagerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceTypedConfigManager = 'config.typed';

  /**
   * Sets the typed configuration manager.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addTypedConfigManager($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the typed configuration manager.
   *
   * @return \Drupal\Core\Config\TypedConfigManagerInterface
   *   The typed configuration manager.
   */
  protected function typedConfigManager() {
    return $this->getKnownService();
  }

}
