<?php

namespace Drupal\service;

/**
 * Provides a trait for the typed data manager service.
 */
trait TypedDataManagerTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceTypedDataManager = 'typed_data_manager';

  /**
   * Sets the typed data manager.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addTypedDataManager($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the typed data manager.
   *
   * @return \Drupal\Core\TypedData\TypedDataManagerInterface
   *   The typed data manager.
   */
  protected function typedDataManager() {
    return $this->getKnownService();
  }

}
