<?php

namespace Drupal\service;

/**
 * Provides a trait for the URL generator service.
 */
trait UrlGeneratorTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceUrlGenerator = 'url_generator';

  /**
   * Sets the URL generator.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addUrlGenerator($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the URL generator.
   *
   * @return \Drupal\Core\Routing\UrlGeneratorInterface
   *   The URL generator.
   *
   * @see \Drupal::urlGenerator()
   */
  protected function urlGenerator() {
    return $this->getKnownService();
  }

}
