<?php

namespace Drupal\service;

/**
 * Provides a trait for the user data service.
 */
trait UserDataTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceUserData = 'user.data';

  /**
   * Sets the user data.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addUserData($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the user data.
   *
   * @return \Drupal\user\UserDataInterface
   *   The user data.
   */
  protected function userData() {
    return $this->getKnownService();
  }

}
