<?php

namespace Drupal\service;

/**
 * Provides a trait for the UUID service.
 */
trait UuidTrait {

  use ServiceTrait;

  /**
   * The service name.
   *
   * @var string
   */
  protected $serviceUuid = 'uuid';

  /**
   * Sets the UUID.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   *
   * @return $this
   */
  protected function addUuid($container = NULL) {
    return $this->setKnownService($container);
  }

  /**
   * Gets the UUID.
   *
   * @return \Drupal\Component\Uuid\UuidInterface
   *   The UUID.
   */
  protected function uuid() {
    return $this->getKnownService();
  }

}
